:root {
  --fs-lg: 30px;
  --fs-md: 14px;
  --fs-sm: 12px;
}

/* @FONTSIZE */
.font__xxl { font-size: 48px; }
.font__xl { font-size: 36px; }
.font__lg { font-size: var(--fs-lg); }
.font__md { font-size: var(--fs-md); }
.font__sm { font-size: var(--fs-sm); }
.font__xs { font-size: 12px; }

/* @SPACING */
.py-20 { padding-top: 80px; padding-bottom: 80px; }
.mb-12 { margin-bottom: 48px; }
.mt-12 { margin-top: 48px; }

/* @COLORS */
.text-gray-600 { color: #6c757d; }
.text-dark { color: #212529; }

/* @HOVER */
.hover__text__primary:hover {
  color: var(--clr-primary);
}

/* @HERO */
.home__hero {
  min-height: 100vh;
  background-color: var(--clr-primary);
  background: linear-gradient(#00000065, #0000005f), url("/img/21090.jpg");
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  background-repeat: no-repeat;
}
.page__hero {
  min-height: 500px;
  background-color: var(--clr-primary);
  background: linear-gradient(#0000008c, #00000073), url("/img/img-2.jpg");
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  background-repeat: no-repeat;
}

.link-btn {
  display: flex;
  gap: 0.5em;
  align-items: center;
  text-decoration: none;
  border-radius: 20px;
  padding: 0px 20px;
}

.link-btn-sm {
  font-size: 12px;
}

.link-btn-primary {
  color: var(--clr-primary);
  background-color: transparent;
  border: 2px solid var(--clr-primary);
  &:hover {
    filter: brightness(1.1);
  }
}

.link-btn-primary .fa.fa-arrow-right {
  background-color: transparent;
}

.blog-card {
  /* From Uiverse.io by Prince4fff */
  .card p {
    font-size: 17px;
    font-weight: 400;
    line-height: 20px;
    color: #666;
  }

  .card p.small {
    font-size: 14px;
  }

  .go-corner {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    width: 32px;
    height: 32px;
    overflow: hidden;
    top: 0;
    right: 0;
    background-color: var(--clr-primary);
    border-radius: 0 4px 0 32px;
  }

  .go-arrow {
    margin-top: -4px;
    margin-right: -4px;
    color: white;
    font-family: courier, sans;
  }

  .card1 {
    display: block;
    position: relative;
    background-color: #f2f8f9;
    border-radius: 4px;
    padding: 32px 24px;
    margin: 12px;
    text-decoration: none;
    z-index: 0;
    overflow: hidden;
    color: black;
  }

  .card1:before {
    content: "";
    position: absolute;
    z-index: -1;
    top: -16px;
    right: -16px;
    background: var(--clr-primary);
    height: 32px;
    width: 32px;
    border-radius: 32px;
    transform: scale(1);
    transform-origin: 50% 50%;
    transition: transform 0.5s ease-out;
  }

  .card1:hover:before {
    transform: scale(40);
  }

  .card1:hover p {
    transition: all 0.3s ease-out;
    color: rgba(255, 255, 255, 0.8);
  }

  .card1:hover h3 {
    transition: all 0.3s ease-out;
    color: #fff;
  }
}
